/*
 * Copyright (c) OSGi Alliance (2001, 2009). All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.w3c.dom.css;
public interface CSS2Properties {
	java.lang.String getAzimuth();
	java.lang.String getBackground();
	java.lang.String getBackgroundAttachment();
	java.lang.String getBackgroundColor();
	java.lang.String getBackgroundImage();
	java.lang.String getBackgroundPosition();
	java.lang.String getBackgroundRepeat();
	java.lang.String getBorder();
	java.lang.String getBorderBottom();
	java.lang.String getBorderBottomColor();
	java.lang.String getBorderBottomStyle();
	java.lang.String getBorderBottomWidth();
	java.lang.String getBorderCollapse();
	java.lang.String getBorderColor();
	java.lang.String getBorderLeft();
	java.lang.String getBorderLeftColor();
	java.lang.String getBorderLeftStyle();
	java.lang.String getBorderLeftWidth();
	java.lang.String getBorderRight();
	java.lang.String getBorderRightColor();
	java.lang.String getBorderRightStyle();
	java.lang.String getBorderRightWidth();
	java.lang.String getBorderSpacing();
	java.lang.String getBorderStyle();
	java.lang.String getBorderTop();
	java.lang.String getBorderTopColor();
	java.lang.String getBorderTopStyle();
	java.lang.String getBorderTopWidth();
	java.lang.String getBorderWidth();
	java.lang.String getBottom();
	java.lang.String getCaptionSide();
	java.lang.String getClear();
	java.lang.String getClip();
	java.lang.String getColor();
	java.lang.String getContent();
	java.lang.String getCounterIncrement();
	java.lang.String getCounterReset();
	java.lang.String getCssFloat();
	java.lang.String getCue();
	java.lang.String getCueAfter();
	java.lang.String getCueBefore();
	java.lang.String getCursor();
	java.lang.String getDirection();
	java.lang.String getDisplay();
	java.lang.String getElevation();
	java.lang.String getEmptyCells();
	java.lang.String getFont();
	java.lang.String getFontFamily();
	java.lang.String getFontSize();
	java.lang.String getFontSizeAdjust();
	java.lang.String getFontStretch();
	java.lang.String getFontStyle();
	java.lang.String getFontVariant();
	java.lang.String getFontWeight();
	java.lang.String getHeight();
	java.lang.String getLeft();
	java.lang.String getLetterSpacing();
	java.lang.String getLineHeight();
	java.lang.String getListStyle();
	java.lang.String getListStyleImage();
	java.lang.String getListStylePosition();
	java.lang.String getListStyleType();
	java.lang.String getMargin();
	java.lang.String getMarginBottom();
	java.lang.String getMarginLeft();
	java.lang.String getMarginRight();
	java.lang.String getMarginTop();
	java.lang.String getMarkerOffset();
	java.lang.String getMarks();
	java.lang.String getMaxHeight();
	java.lang.String getMaxWidth();
	java.lang.String getMinHeight();
	java.lang.String getMinWidth();
	java.lang.String getOrphans();
	java.lang.String getOutline();
	java.lang.String getOutlineColor();
	java.lang.String getOutlineStyle();
	java.lang.String getOutlineWidth();
	java.lang.String getOverflow();
	java.lang.String getPadding();
	java.lang.String getPaddingBottom();
	java.lang.String getPaddingLeft();
	java.lang.String getPaddingRight();
	java.lang.String getPaddingTop();
	java.lang.String getPage();
	java.lang.String getPageBreakAfter();
	java.lang.String getPageBreakBefore();
	java.lang.String getPageBreakInside();
	java.lang.String getPause();
	java.lang.String getPauseAfter();
	java.lang.String getPauseBefore();
	java.lang.String getPitch();
	java.lang.String getPitchRange();
	java.lang.String getPlayDuring();
	java.lang.String getPosition();
	java.lang.String getQuotes();
	java.lang.String getRichness();
	java.lang.String getRight();
	java.lang.String getSize();
	java.lang.String getSpeak();
	java.lang.String getSpeakHeader();
	java.lang.String getSpeakNumeral();
	java.lang.String getSpeakPunctuation();
	java.lang.String getSpeechRate();
	java.lang.String getStress();
	java.lang.String getTableLayout();
	java.lang.String getTextAlign();
	java.lang.String getTextDecoration();
	java.lang.String getTextIndent();
	java.lang.String getTextShadow();
	java.lang.String getTextTransform();
	java.lang.String getTop();
	java.lang.String getUnicodeBidi();
	java.lang.String getVerticalAlign();
	java.lang.String getVisibility();
	java.lang.String getVoiceFamily();
	java.lang.String getVolume();
	java.lang.String getWhiteSpace();
	java.lang.String getWidows();
	java.lang.String getWidth();
	java.lang.String getWordSpacing();
	java.lang.String getZIndex();
	void setAzimuth(java.lang.String var0);
	void setBackground(java.lang.String var0);
	void setBackgroundAttachment(java.lang.String var0);
	void setBackgroundColor(java.lang.String var0);
	void setBackgroundImage(java.lang.String var0);
	void setBackgroundPosition(java.lang.String var0);
	void setBackgroundRepeat(java.lang.String var0);
	void setBorder(java.lang.String var0);
	void setBorderBottom(java.lang.String var0);
	void setBorderBottomColor(java.lang.String var0);
	void setBorderBottomStyle(java.lang.String var0);
	void setBorderBottomWidth(java.lang.String var0);
	void setBorderCollapse(java.lang.String var0);
	void setBorderColor(java.lang.String var0);
	void setBorderLeft(java.lang.String var0);
	void setBorderLeftColor(java.lang.String var0);
	void setBorderLeftStyle(java.lang.String var0);
	void setBorderLeftWidth(java.lang.String var0);
	void setBorderRight(java.lang.String var0);
	void setBorderRightColor(java.lang.String var0);
	void setBorderRightStyle(java.lang.String var0);
	void setBorderRightWidth(java.lang.String var0);
	void setBorderSpacing(java.lang.String var0);
	void setBorderStyle(java.lang.String var0);
	void setBorderTop(java.lang.String var0);
	void setBorderTopColor(java.lang.String var0);
	void setBorderTopStyle(java.lang.String var0);
	void setBorderTopWidth(java.lang.String var0);
	void setBorderWidth(java.lang.String var0);
	void setBottom(java.lang.String var0);
	void setCaptionSide(java.lang.String var0);
	void setClear(java.lang.String var0);
	void setClip(java.lang.String var0);
	void setColor(java.lang.String var0);
	void setContent(java.lang.String var0);
	void setCounterIncrement(java.lang.String var0);
	void setCounterReset(java.lang.String var0);
	void setCssFloat(java.lang.String var0);
	void setCue(java.lang.String var0);
	void setCueAfter(java.lang.String var0);
	void setCueBefore(java.lang.String var0);
	void setCursor(java.lang.String var0);
	void setDirection(java.lang.String var0);
	void setDisplay(java.lang.String var0);
	void setElevation(java.lang.String var0);
	void setEmptyCells(java.lang.String var0);
	void setFont(java.lang.String var0);
	void setFontFamily(java.lang.String var0);
	void setFontSize(java.lang.String var0);
	void setFontSizeAdjust(java.lang.String var0);
	void setFontStretch(java.lang.String var0);
	void setFontStyle(java.lang.String var0);
	void setFontVariant(java.lang.String var0);
	void setFontWeight(java.lang.String var0);
	void setHeight(java.lang.String var0);
	void setLeft(java.lang.String var0);
	void setLetterSpacing(java.lang.String var0);
	void setLineHeight(java.lang.String var0);
	void setListStyle(java.lang.String var0);
	void setListStyleImage(java.lang.String var0);
	void setListStylePosition(java.lang.String var0);
	void setListStyleType(java.lang.String var0);
	void setMargin(java.lang.String var0);
	void setMarginBottom(java.lang.String var0);
	void setMarginLeft(java.lang.String var0);
	void setMarginRight(java.lang.String var0);
	void setMarginTop(java.lang.String var0);
	void setMarkerOffset(java.lang.String var0);
	void setMarks(java.lang.String var0);
	void setMaxHeight(java.lang.String var0);
	void setMaxWidth(java.lang.String var0);
	void setMinHeight(java.lang.String var0);
	void setMinWidth(java.lang.String var0);
	void setOrphans(java.lang.String var0);
	void setOutline(java.lang.String var0);
	void setOutlineColor(java.lang.String var0);
	void setOutlineStyle(java.lang.String var0);
	void setOutlineWidth(java.lang.String var0);
	void setOverflow(java.lang.String var0);
	void setPadding(java.lang.String var0);
	void setPaddingBottom(java.lang.String var0);
	void setPaddingLeft(java.lang.String var0);
	void setPaddingRight(java.lang.String var0);
	void setPaddingTop(java.lang.String var0);
	void setPage(java.lang.String var0);
	void setPageBreakAfter(java.lang.String var0);
	void setPageBreakBefore(java.lang.String var0);
	void setPageBreakInside(java.lang.String var0);
	void setPause(java.lang.String var0);
	void setPauseAfter(java.lang.String var0);
	void setPauseBefore(java.lang.String var0);
	void setPitch(java.lang.String var0);
	void setPitchRange(java.lang.String var0);
	void setPlayDuring(java.lang.String var0);
	void setPosition(java.lang.String var0);
	void setQuotes(java.lang.String var0);
	void setRichness(java.lang.String var0);
	void setRight(java.lang.String var0);
	void setSize(java.lang.String var0);
	void setSpeak(java.lang.String var0);
	void setSpeakHeader(java.lang.String var0);
	void setSpeakNumeral(java.lang.String var0);
	void setSpeakPunctuation(java.lang.String var0);
	void setSpeechRate(java.lang.String var0);
	void setStress(java.lang.String var0);
	void setTableLayout(java.lang.String var0);
	void setTextAlign(java.lang.String var0);
	void setTextDecoration(java.lang.String var0);
	void setTextIndent(java.lang.String var0);
	void setTextShadow(java.lang.String var0);
	void setTextTransform(java.lang.String var0);
	void setTop(java.lang.String var0);
	void setUnicodeBidi(java.lang.String var0);
	void setVerticalAlign(java.lang.String var0);
	void setVisibility(java.lang.String var0);
	void setVoiceFamily(java.lang.String var0);
	void setVolume(java.lang.String var0);
	void setWhiteSpace(java.lang.String var0);
	void setWidows(java.lang.String var0);
	void setWidth(java.lang.String var0);
	void setWordSpacing(java.lang.String var0);
	void setZIndex(java.lang.String var0);
}

